#include "../commun.h"

//Gestionnaire de collisions
u32 gcRocherTest(PERSO *p, SONIC *s, u32 type)
{
        if (type & TC_HAUT) //Sonic est dessus le rocher
                s->crochePF = 6;
        return 1;
}

//Gre le personnage du rocher. Appel  chaque frame
void hRocherTest(SONIC *s, PERSO *p, u32 message)
{
        InitCollisions(p);
        ExecSprScript(p->x, p->y, Obj_Spt_Pal_3_tiles, Rocher_sprScript, 3);
        hCollision(s, p, gcRocherTest, TC_TOUS);
        ColleAuSol(p);
        if ((nTimer & 7) == 0)
        {                        //Toutes les 8 frames (7+1), on dplace le rocher d'un pixel vers la droite
                p->x++; //Dplace le rocher
                if (s->crochePF)        //Sonic est croch?
                        s->x++;                        //On le dplace avec :)
        }
}

//Cre le personnage du rocher
void cpRocherTest(u32 xxx, u32 yyy)
{
        CreePerso(xxx << 4, yyy << 4, 1, 48, 32, hRocherTest, INSTR_SEULEMENT_ECRAN);
}

//Liste des objets supplmentaires
const void *ExtCreePerso[] = { cpRocherTest, };

//Nombre des objets supplmentaires
const int ExtCreePersoTaille = sizeof(ExtCreePerso) / sizeof(ExtCreePerso[0]);