#include "commun.h"

void IWRAM_CODE DecompresseDonnees(int plan,
								   int departX,
								   int departY,
								   int tailleX,
								   int tailleY,
								   int cibleX,
								   int cibleY,
								   void *map,
								   int largeurMap)
{
	int yy, dx, j, val, lastdx;
	int x, y, i;
	unsigned int plusX, plusY;
	unsigned short *ptr, *ptr2;
	unsigned short(*myMap)[largeurMap] = (void *) map;

	if (departX < 0)
	{
		plusX = -departX;
		departX = 0;
		tailleX -= plusX;
	}
	else
		plusX = 0;

	if (departY < 0)
	{
		plusY = -departY;
		departY = 0;
		tailleY -= plusY;
	}
	else
		plusY = 0;

	plusX += cibleX;
	plusY += cibleY;

	/*
	OPTIMISER!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

	Le memset prend plus de 80% du temps de dcompression requis ;)
	2 fois ~5 % de CPU  gagner.
	*/

	//        memset(Map,2,sizeof(Map));
	val = 0;

	/*
	Voici mon algorithme de dcompression rvolutionnaire :)

	Je l'ai nomm "CALC"; ce nom tripant signifie "compression  la con".
	Nan, en fait c'est mauvais, a compresse pas grand chose, mais c'est plutt rapide
	 la dcompression, et c'est mieux que rien, enfin je pense... ;)
	*/
	for (y = 0; y < tailleY; y++)
	{
		yy = y + departY;

		//                for (dx=0;dx<departX;dx++)      {
		// Ici il faut parcourir la map  la recherche d'ventuelles informations compresses...
		//                Exec(VerifBouge,plan,xx,yy);
		ptr = (unsigned short *) (indexTemp[plan][yy]);
		dx = indexVal[plan][yy];

		// Le pointeur de ligne courant est trop en avant (" droite") par rapport  la gauche de l'cran
		// On va le dplacer vers la gauche jusqu' ce qu'il soit correct
		while (dx > departX)
		{
			// Balise "rpte x fois le bloc y" (3 blocs)
			if (*(ptr - 3) == 0xffff)
			{
				dx -= *(ptr - 1) + 1;
				ptr -= 3;
			}
			// Balise "rpte x fois le bloc 0" (2 blocs)
			else if (*(ptr - 2) == 0xfffe)
			{
				dx -= *(ptr - 1) + 1;
				ptr -= 2;
			}
			// Cas normal: saute un bloc
			else
			{
				dx--;
				ptr--;
			}
		}

		// Maintenant on est revenu  un cas "normal": le bloc courant est " gauche" de la position  laquelle dcompresser
		// La dcompression ne commence pas encore; on doit juste voir ce qui est avant le bloc tout  gauche de l'cran,
		// parce qu'il se pourrait par exemple qu'il indique une srie de 30 blocs contigus, et dans ce cas on va devoir remplir
		// la partie gauche de l'cran avec cette valeur de bloc.
		while (dx < departX)
		{
			// Garde les infos du dernier bloc effectu, voir plus bas
			ptr2 = ptr;
			lastdx = dx;

			// Lit le bloc courant
			i = *ptr++;

			// Rptition du bloc 0 commence
			if (i == 0xfffe)
			{
				val = 0;
				dx += *ptr++;
			}
			// Rptition d'un bloc arbitraire commence
			else if (i == 0xffff)
			{
				val = *ptr++;
				dx += *ptr++;
			}
			// Fin de ligne
			else if (i == 0xfffd)
			{
				x = 0;
				// On ne doit jamais passer l'indicateur de fin de ligne vu qu'on ne sait pas o tait le dernier bloc donc impossible de revenir en arrire
				indexTemp[plan][yy] = ptr2;
				indexVal[plan][yy] = lastdx;
				goto decompTerminee;
			}

			// Avance d'une unit
			// En fait, la structure du code peut paratre trange, mais il faut savoir que dans le fichier compress, les
			// offsets de saut sont toujours soustraits d'une unit. Ainsi, "3 fois le bloc zro" signifie en fait 4 fois.
			dx++;
		}

		// Sauvegarde l'adresse du dernier bloc dcompress (ainsi que sa position), permet d'acclrer les dcompression contigus
		indexTemp[plan][yy] = ptr;
		indexVal[plan][yy] = dx;

		//L on va contrler si on est plus loin que le dbut de l'cran pour remplir les
		//premiers lments avec la dernire valeur...
		if (dx > departX)
		{
			// Assurons-nous qu'on n'est pas plus loin que la droite du rectangle demand quand mme
			if (dx - departX > tailleX)
				dx -= (dx - departX) - tailleX;
			// Remplit la map avec le bloc donn
			for (x = 0; x < dx - departX; x++)
				myMap[y + plusY][x + plusX] = val;
		}

		for (x = dx - departX; x < tailleX; x++)
		{
			i = *ptr++;
			if (i == 0xfffe)
			{
				j = x;
				x += *ptr++;
				if (x >= tailleX)
					x = tailleX - 1;
				for (; j <= x; j++)
					myMap[y + plusY][j + plusX] = 0;
			}
			else if (i == 0xffff)
			{
				j = x;
				val = *ptr++;
				x += *ptr++;
				if (x >= tailleX)
					x = tailleX - 1;
				for (; j <= x; j++)
					myMap[y + plusY][j + plusX] = val;
			}
			else if (i == 0xfffd)
				break;
			else if (i == 0xfffc)
				return;
			else
				myMap[y + plusY][x + plusX] = i;
		}

decompTerminee:
		for (; x < tailleX; x++)
			myMap[y + plusY][x + plusX] = 0;
	}
}
